---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

Thank you for reporting an issue about Pluto! Let's get it fixed!

# To report an issue, you need three things:
1. 📹 A video recording demonstrating the problem. (You can drag a video file into this box)
2. 📝 A short Pluto notebook file. (Upload the notebook file to https://gist.github.com/ and include the link.)
3. 🤕 Try to clearly explain what the problem is, it might not be obvious to others! Instead of saying: "This does not work.", try to say: "I expected ..., but instead I am seeing ..."


🙋 But my issue is really simple, I don't want to make a screen recording / notebook! And why do you need a notebook file?

> **Please do it anyways!** It is really difficult to know exactly what information we will need to solve the issue, and a video recording can save a lot of follow-up questions. 
> Similarly, a notebook file means that we can start testing the problem immediately, saving Pluto's developers a lot of time.

---

# How do I make a video recording?
On Windows, some options:
- The built-in "Game bar" recorder: https://www.howtogeek.com/706124/how-to-use-windows-10s-built-in-screen-capture-tool/
- ScreenToGif (Open source, free) https://www.screentogif.com/
- More options available online

On MacOS: press `Cmd+Shift+5`, see https://support.apple.com/guide/mac-help/mh26782/mac

On Linux: see some options in https://web.archive.org/web/20211123192630/https://www.linuxuprising.com/2020/01/4-tools-to-record-your-linux-desktop.html


If your video file is too large to upload to github, upload it to youtube and include the link.
